SDL_GetStorageFileSize(3)

NAME
SDL_GetStorageFileSize - Query the size of a file within a storage container.

HEADER FILE
Defined in SDL3/SDL_storage.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetStorageFileSize(SDL_Storage *storage, const char *path, Uint64 *length);

FUNCTION PARAMETERS

storage
    a storage container to query

path
    the relative path of the file to query

length
    a pointer to be filled with the file's length

RETURN VALUE
Returns 0 if the file could be queried, a negative value otherwise; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_ReadStorageFile(3), SDL_StorageReady(3)